package com.yem.wm.bc.change.common.consts;

import kd.bos.bundle.MultiLangEnumBridge;

/**
 * @author 夜子
 * @ClassName BizValidStatusEnum
 * @description: 生效状态
 * @date 2023年08月03日
 * @version: 1.0
 */
public enum BizValidStatusEnum {
    UNVALID(new MultiLangEnumBridge("未生效", "BizValidStatusEnum_0", "yem-yc-changemodel", new Object[0]), "A"),
    VALID(new MultiLangEnumBridge("已生效", "BizValidStatusEnum_1", "yem-yc-changemodel", new Object[0]), "B");

    private String value;
    private MultiLangEnumBridge bridge = null;

    private BizValidStatusEnum(MultiLangEnumBridge bridge, String value) {
        this.bridge = bridge;
        this.value = value;
    }

    public String getName() {
        return this.bridge.loadKDString();
    }

    public String getValue() {
        return this.value;
    }

    public static String getName(String value) {
        String name = null;
        BizValidStatusEnum[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            BizValidStatusEnum status = var2[var4];
            if (value.equals(status.getValue())) {
                name = status.getName();
                break;
            }
        }

        return name;
    }
}
